<div class="application">
  <app-content-banner [isDashboard]="false" pageName="Application"></app-content-banner>
  <mat-card class="application-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <det-client-banner [isHousingProgramType]="false" [canShowApplicationLink]="false"></det-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="applicationTabChange()">
        <!--Application-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Application</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="application-small-box mat-elevation-z4" fxLayout="column">
                <div class="application-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <iframe width="100%" height="100%" style="height: 500px!important"
                      [src]="applicationSummaryReportURL" *ngIf="applicationSummaryReportURL" tabindex="0">
                    </iframe>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
        <!--Supportive Documents Tab-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Supporting Documents</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="application-small-box mat-elevation-z4" fxLayout="column">
                <div class="application-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <ag-grid-angular style="width: 100%" class="ag-theme-balham supporting-documents-grid"
                      [rowData]="supportingDocumentsRowData" [columnDefs]="supportingDocumentsColumnDefs"
                      (gridReady)="supportingDocumentsOnGridReady($event)" [floatingFilter]="true" [animateRows]="false"
                      [overlayNoRowsTemplate]="supportingDocumentsOverlayNoRowsTemplate"
                      [defaultColDef]="supportingDocumentsDefaultColDef" [pagination]="true" [paginationPageSize]="10">
                    </ag-grid-angular>
                  </form>
                </div>
              </div>
            </mat-card>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
    <div class="content-main">
      <div class="content-sub">
        <div class="content-sub-button-parent-right">
          <button type="button" mat-raised-button color="primary" (click)="previousTab()" matTooltip="Previous"
            matTooltipClass="pact-tooltip">Previous</button>
          &nbsp;&nbsp;
          <button type="button" mat-raised-button color="primary" (click)="nextTab()" matTooltip="Next"
            matTooltipClass="pact-tooltip">Next</button>
        </div>
      </div>
    </div>
  </mat-card>
</div>